Page MenuHomePhabricator

Special:UploadWizard does not work on mobile
Closed, DuplicatePublic

Description

Mobile frontend does not support UploadWizard and by extension not UploadCampaigns.

To test:

  1. Log in
  2. go to https://commons.m.wikimedia.org/wiki/Special:UploadWizard
  3. watch the spinning wheel

The main problem resulting from this is that mobile users cannot upload images through e.g. the existing WLM lists (e.g. [1]).

[1] https://en.wikipedia.org/wiki/List_of_listed_buildings_in_Cockburnspath,_Scottish_Borders


Version: unspecified
Severity: enhancement

Details

Reference
bz62638

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:09 AM
bzimport set Reference to bz62638.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1773

Correct it doesn't. Mobile has https://commons.m.wikimedia.org/wiki/Special:Uploads

Ideally we should look at consolidating the Special:Upload, Special:Uploads and Special:UploadWizard code into one special page (or at the least just the latter 2)

(A big undertaking but one that should happen)

An intermediate step, might be for Special:UploadWizard to point to redirect to Special:Uploads when the user is on a mobile device. Feel free to open another bug against Special:UploadWizard (and cc me) to get that to happen.

(In reply to Jon from comment #2)

Correct it doesn't. Mobile has
https://commons.m.wikimedia.org/wiki/Special:Uploads
Ideally we should look at consolidating the Special:Upload, Special:Uploads
and Special:UploadWizard code into one special page (or at the least just
the latter 2)
(A big undertaking but one that should happen)
An intermediate step, might be for Special:UploadWizard to point to redirect
to Special:Uploads when the user is on a mobile device. Feel free to open
another bug against Special:UploadWizard (and cc me) to get that to happen.

A redirect would not solve the issue with Campaigns not working so I'll hang in for a merger at some point in the future. Cheers

Nemo_bis renamed this task from [Tracking] Consolidate Special:Uploads and Special:UploadWizard code to Consolidate Special:Uploads and Special:UploadWizard code (tracking).Jul 19 2015, 9:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2015, 9:59 AM
Jhernandez triaged this task as Normal priority.Aug 18 2015, 5:34 PM
Jhernandez added a subscriber: Jhernandez.
Jdlrobson moved this task from Backlog to Discussing on the MobileFrontend board.Nov 4 2015, 5:28 PM
MaxSem removed a subscriber: MaxSem.May 17 2016, 6:38 PM
Jdlrobson renamed this task from Consolidate Special:Uploads and Special:UploadWizard code (tracking) to Special:UploadWizard does not work on mobile.Jun 30 2016, 8:54 PM
Jdlrobson updated the task description. (Show Details)
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJun 30 2016, 8:54 PM

Change 296832 had a related patch set uploaded (by Bartosz Dziewoński):
Add 'targets' => [ 'desktop', 'mobile' ] to all UploadWizard modules

https://gerrit.wikimedia.org/r/296832

Change 296833 had a related patch set uploaded (by Bartosz Dziewoński):
Add 'targets' => [ 'desktop', 'mobile' ] to all UploadWizard dependencies

https://gerrit.wikimedia.org/r/296833

There, I fixed it. Personally, I think 'targets' => [ 'desktop', 'mobile' ] is terrible cruft and should never have been implemented.

There, I fixed it. Personally, I think 'targets' => [ 'desktop', 'mobile' ] is terrible cruft and should never have been implemented.

See T127268: Dismantle ResourceLoader's "targets" system. :-)